Index: invariantview/perspectives/invariant/invariant_panel.py
===================================================================
--- invariantview/perspectives/invariant/invariant_panel.py	(revision effce1d8fcb1513f63c6814b6c31007a20e76501)
+++ invariantview/perspectives/invariant/invariant_panel.py	(revision 4a2b054ce1972d8c903cf87a9d285cad450d5353)
@@ -3,17 +3,20 @@
 
 """
-
+import copy
+import time
+import sys
+import os
 import wx
-
-import sys,os
-
 from wx.lib.scrolledpanel import ScrolledPanel
 from sans.invariant import invariant
-from sans.guiframe.utils import format_number, check_float
+from sans.guiframe.utils import format_number
+from sans.guiframe.utils import check_float
 from sans.guicomm.events import NewPlotEvent, StatusEvent
-from invariant_details import InvariantDetailsPanel, InvariantContainer
-from invariant_widgets import OutputTextCtrl, InvTextCtrl
+from invariant_details import InvariantDetailsPanel
+from invariant_details import InvariantContainer
+from invariant_widgets import OutputTextCtrl
+from invariant_widgets import InvTextCtrl
 from invariant_state import InvariantState as IState
-import copy,time
+
 # The minimum q-value to be used when extrapolating
 Q_MINIMUM  = 1e-5
@@ -36,5 +39,5 @@
 
 
-if sys.platform.count("win32")>0:
+if sys.platform.count("win32") > 0:
     _STATICBOX_WIDTH = 450
     PANEL_WIDTH = 500 
@@ -58,7 +61,7 @@
     ## Flag to tell the AUI manager to put this panel in the center pane
     CENTER_PANE = True
-    def __init__(self, parent, data=None, manager=None,*args, **kwds):
-        kwds["size"]= (PANEL_WIDTH, PANEL_HEIGHT)
-        kwds["style"]= wx.FULL_REPAINT_ON_RESIZE
+    def __init__(self, parent, data=None, manager=None, *args, **kwds):
+        kwds["size"] = (PANEL_WIDTH, PANEL_HEIGHT)
+        kwds["style"] = wx.FULL_REPAINT_ON_RESIZE
         ScrolledPanel.__init__(self, parent=parent, *args, **kwds)
         self.SetupScrolling()
@@ -108,5 +111,6 @@
             if len(self._data.x[self._data.x==0]) > 0:
                 flag = True
-                msg = "Invariant: one of your q-values is zero. Delete that entry before proceeding"
+                msg = "Invariant: one of your q-values is zero. "
+                msg += "Delete that entry before proceeding"
                 self.hint_msg_txt.SetLabel(msg)
                 wx.PostEvent(self.parent, StatusEvent(status=msg,
@@ -137,4 +141,5 @@
             self._reset_state_list()
         return True  
+    
     def set_message(self):
         """
@@ -147,9 +152,11 @@
                 self.hint_msg_txt.SetForegroundColour("red")
     
-                wx.PostEvent(self.parent,StatusEvent(status=msg,info="warning"))
+                wx.PostEvent(self.parent,
+                             StatusEvent(status=msg,info="warning"))
             else:
                 msg = "For more information, click on Details button."
                 self.hint_msg_txt.SetForegroundColour("black")
-                wx.PostEvent(self.parent,StatusEvent(status=msg,info="info"))
+                wx.PostEvent(self.parent,
+                             StatusEvent(status=msg,info="info"))
             self.hint_msg_txt.SetLabel(msg)
             
@@ -178,5 +185,5 @@
             if num > 0 :
                 self._undo_enable()
-            if num < len(state.state_list)-1:
+            if num < len(state.state_list) - 1:
                 self._redo_enable()
                 
@@ -184,5 +191,5 @@
             self.bookmark_num = len(self.state.bookmark_list)
 
-            total_bookmark_num = self.bookmark_num+1
+            total_bookmark_num = self.bookmark_num + 1
             for ind in range(1,total_bookmark_num):
                 #bookmark_num = ind
@@ -197,5 +204,6 @@
             
             self._get_input_list() 
-            #make sure that the data is reset (especially when loaded from a inv file)
+            #make sure that the data is reset (especially
+            # when loaded from a inv file)
             self.state.data = self._data
 
@@ -238,5 +246,6 @@
             return float(background)
         else:
-            raise ValueError, "Receive invalid value for background : %s"%(background)
+            msg = "Receive invalid value for background : %s" % (background)
+            raise ValueError, msg
     
     def get_scale(self):
@@ -248,11 +257,12 @@
             raise ValueError, "Need a background"
         if check_float(self.scale_tcl):
-            if float(scale)<= 0.0:
+            if float(scale) <= 0.0:
                 self.scale_tcl.SetBackgroundColour("pink")
                 self.scale_tcl.Refresh()
-                raise ValueError, "Receive invalid value for scale: %s"%(scale)
+                msg = "Receive invalid value for scale: %s" % (scale)
+                raise ValueError, msg
             return float(scale)
         else:
-            raise ValueError, "Receive invalid value for scale : %s"%(scale)
+            raise ValueError, "Receive invalid value for scale : %s" % (scale)
         
     def get_contrast(self):
@@ -262,5 +272,5 @@
         par_str = self.contrast_tcl.GetValue().strip()
         contrast = None
-        if par_str !="" and check_float(self.contrast_tcl):
+        if par_str !=" " and check_float(self.contrast_tcl):
             contrast = float(par_str)
         return contrast
@@ -284,5 +294,5 @@
         par_str = self.porod_constant_tcl.GetValue().strip()
         porod_const = None
-        if par_str !="" and check_float(self.porod_constant_tcl):
+        if par_str != "" and check_float(self.porod_constant_tcl):
             porod_const = float(par_str)
         return porod_const
@@ -294,5 +304,5 @@
             try:
                 v, dv = inv.get_volume_fraction_with_error(contrast=contrast, 
-                                                           extrapolation=extrapolation)
+                                                extrapolation=extrapolation)
                 self.volume_tcl.SetValue(format_number(v))
                 self.volume_err_tcl.SetValue(format_number(dv))
@@ -300,5 +310,6 @@
                 self.volume_tcl.SetValue(format_number(None))
                 self.volume_err_tcl.SetValue(format_number(None))
-                msg= "Error occurred computing volume fraction: %s"%sys.exc_value
+                msg = "Error occurred computing volume "
+                msg += " fraction: %s" % sys.exc_value
                 wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                       info="error",
@@ -318,5 +329,6 @@
                 self.surface_tcl.SetValue(format_number(None))
                 self.surface_err_tcl.SetValue(format_number(None))
-                msg = "Error occurred computing specific surface: %s"%sys.exc_value
+                msg = "Error occurred computing "
+                msg += "specific surface: %s" % sys.exc_value
                 wx.PostEvent(self.parent, StatusEvent(status=msg, info="error",
                                                        type="stop"))
@@ -338,5 +350,6 @@
             self.invariant_total_tcl.SetValue(format_number(None))
             self.invariant_total_err_tcl.SetValue(format_number(None))
-            msg= "Error occurred computing invariant using extrapolation: %s"%sys.exc_value
+            msg = "Error occurred computing invariant using"
+            msg += " extrapolation: %s" % sys.exc_value
             wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))  
             
@@ -359,6 +372,8 @@
                 self.inv_container.qstar_low_err = "ERROR"
                 self._manager.plot_theory(name="Low-Q extrapolation")
-                msg= "Error occurred computing low-Q invariant: %s"%sys.exc_value
-                wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+                msg = "Error occurred computing low-Q "
+                msg += "invariant: %s" % sys.exc_value
+                wx.PostEvent(self.parent,
+                             StatusEvent(status=msg, type="stop"))
         else:
             try:
@@ -378,5 +393,6 @@
                 power_high = inv.get_extrapolation_power(range='high') 
                 self.power_high_tcl.SetValue(format_number(power_high))
-                high_out_data = inv.get_extra_data_high(q_end=qmax_plot,npts=500)
+                high_out_data = inv.get_extra_data_high(q_end=qmax_plot,
+                                                        npts=500)
                 self._manager.plot_theory(data=high_out_data,
                                            name="High-Q extrapolation")
@@ -385,6 +401,8 @@
                 self.inv_container.qstar_high_err = "ERROR"
                 self._manager.plot_theory(name="High-Q extrapolation")
-                msg= "Error occurred computing high-Q invariant: %s"%sys.exc_value
-                wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+                msg = "Error occurred computing high-Q "
+                msg += "invariant: %s" % sys.exc_value
+                wx.PostEvent(self.parent, StatusEvent(status=msg,
+                                                      type="stop"))
         else:
             try:
@@ -420,5 +438,6 @@
                     if low_q :
                         #Raise error only when qstar at low q is requested
-                        msg = "Expect float for power at low q , got %s"%(power_low)
+                        msg = "Expect float for power at low q, "
+                        msg += " got %s" % (power_low)
                         raise ValueError, msg
        
@@ -429,5 +448,6 @@
         else:
             if low_q:
-                msg = "Expect float for number of points at low q , got %s"%(npts_low)
+                msg = "Expect float for number of points at low q,"
+                msg += " got %s" % (npts_low)
                 raise ValueError, msg
         #Set the invariant calculator
@@ -454,5 +474,6 @@
                 if high_q :
                     #Raise error only when qstar at high q is requested
-                    msg = "Expect float for power at high q , got %s"%(power_high)
+                    msg = "Expect float for power at high q,"
+                    msg += " got %s" % (power_high)
                     raise ValueError, msg
                           
@@ -462,5 +483,6 @@
         else:
             if high_q:
-                msg = "Expect float for number of points at high q , got %s"%(npts_high)
+                msg = "Expect float for number of points at high q,"
+                msg += " got %s" % (npts_high)
                 raise ValueError, msg
         inv.set_extrapolation(range="high", npts=npts_high,
@@ -483,5 +505,6 @@
         """
         if self._data == None:
-            msg = "\n\nData must be loaded first in order to perform a compution..."
+            msg = "\n\nData must be loaded first in order"
+            msg += " to perform a compution..."
             wx.PostEvent(self.parent, StatusEvent(status=msg))
         # set a state for this computation for saving
@@ -502,6 +525,6 @@
             scale = self.get_scale()
         except:
-            msg= "Invariant Error: %s"%(sys.exc_value)
-            wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+            msg = "Invariant Error: %s" % (sys.exc_value)
+            wx.PostEvent(self.parent, StatusEvent(status=msg, type="stop"))
             return
         
@@ -516,5 +539,5 @@
             inv, npts_high = self.set_extrapolation_high(inv=inv, high_q=high_q)
         except:
-            msg = "Error occurred computing invariant: %s"%sys.exc_value
+            msg = "Error occurred computing invariant: %s" % sys.exc_value
             wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                  info="warning",type="stop"))
@@ -532,7 +555,8 @@
             
         except:
-            msg= "Error occurred computing invariant: %s"%sys.exc_value
+            msg= "Error occurred computing invariant: %s" % sys.exc_value
             wx.PostEvent(self.parent, StatusEvent(status=msg, 
-                                                  info="warning",type="stop"))
+                                                  info="warning",
+                                                  type="stop"))
             return
        
@@ -549,18 +573,22 @@
         try:
             #Compute volume and set value to txtcrtl
-            self.get_volume(inv=inv, contrast=contrast, extrapolation=extrapolation)
+            self.get_volume(inv=inv, contrast=contrast,
+                            extrapolation=extrapolation)
             #compute surface and set value to txtcrtl
         except:
-            msg = "Error occurred computing invariant: %s"%sys.exc_value
+            msg = "Error occurred computing invariant: %s" % sys.exc_value
             wx.PostEvent(self.parent, StatusEvent(status=msg,
-                                                  info="warning",type="stop"))
+                                                  info="warning",
+                                                  type="stop"))
         try:
-            self.get_surface(inv=inv, contrast=contrast, porod_const=porod_const, 
+            self.get_surface(inv=inv, contrast=contrast,
+                                    porod_const=porod_const, 
                                     extrapolation=extrapolation)
             
         except:
-            msg = "Error occurred computing invariant: %s"%sys.exc_value
+            msg = "Error occurred computing invariant: %s" % sys.exc_value
             wx.PostEvent(self.parent, StatusEvent(status=msg,
-                                                  info="warning",type="stop"))
+                                                  info="warning",
+                                                  type="stop"))
             
         #compute percentage of each invariant
@@ -583,7 +611,10 @@
         
         if event != None: 
-            if not self.button_report.IsEnabled(): self.button_report.Enable(True)
-            if not self.button_save.IsEnabled(): self.button_save.Enable(True)
-            wx.PostEvent(self.parent, StatusEvent(status = '\nFinished invariant computation...'))
+            if not self.button_report.IsEnabled():
+                self.button_report.Enable(True)
+            if not self.button_save.IsEnabled():
+                self.button_save.Enable(True)
+            wx.PostEvent(self.parent,
+                StatusEvent(status='\nFinished invariant computation...'))
             
 
@@ -594,6 +625,8 @@
         : param event: undo button event
         """
-        if event != None: event.Skip()
-        if self.state.state_num <0: return
+        if event != None: 
+            event.Skip()
+        if self.state.state_num < 0:
+            return
         self.is_power_out = True
         # get the previous state_num
@@ -601,5 +634,5 @@
         self.get_state_by_num(state_num=str(pre_state_num))
         
-        if float(pre_state_num) <=0:
+        if float(pre_state_num) <= 0:
             self._undo_disable()
         else:
@@ -617,5 +650,6 @@
         : param event: redo button event
         """
-        if event != None: event.Skip()
+        if event != None:
+            event.Skip()
         self.is_power_out = True
         # get the next state_num
@@ -663,5 +697,6 @@
         try:
             current_state = copy.deepcopy(self.state.state_list[str(state_num)])
-            # get the previously computed state number (computation before the state changes happened)
+            # get the previously computed state number 
+            #(computation before the state changes happened)
             current_compute_num = str(current_state['compute_num'])
         except :
@@ -789,5 +824,7 @@
         name = str(obj.GetName())
         value = str(obj.GetValue())
-        rb_list = [['power_law_low','guinier'],['fit_enable_low','fix_enable_low'],['fit_enable_high','fix_enable_high']]
+        rb_list = [['power_law_low','guinier'],
+                   ['fit_enable_low','fix_enable_low'],
+                   ['fit_enable_high','fix_enable_high']]
 
         try:
@@ -797,5 +834,6 @@
             exec "self.state.saved_state['%s'] = %s" %  (name, value)
             
-            # set the count part of radio button clicked False for the saved_state
+            # set the count part of radio button clicked 
+            #False for the saved_state
             for title,content in rb_list:
                 if name ==  title:
@@ -808,8 +846,8 @@
             
             # Instead of changing the future, create a new future.
-            max_state_num = len(self.state.state_list)-1   
+            max_state_num = len(self.state.state_list) - 1   
             self.state.saved_state['state_num'] = max_state_num   
             
-            self.state.saved_state['state_num'] +=1
+            self.state.saved_state['state_num'] += 1
             self.state.state_num = self.state.saved_state['state_num']
             self.state.state_list[str(self.state.state_num)] = self.state.clone_state()#copy.deepcopy(self.state.saved_state)
@@ -825,5 +863,6 @@
         Notify the compute_invariant state to self.state
         
-        : param state: set 'compute' when the computation is activated by the 'compute' button, else None
+        : param state: set 'compute' when the computation is
+        activated by the 'compute' button, else None
         
         """
@@ -838,6 +877,7 @@
         self.state.saved_state['state_num'] = max_state_num        
         # A new computation is also A state
-        temp_saved_states = self.state.clone_state()#copy.deepcopy(self.state.saved_state)
-        temp_saved_states['state_num'] +=1
+        #copy.deepcopy(self.state.saved_state)
+        temp_saved_states = self.state.clone_state()
+        temp_saved_states['state_num'] += 1
         self.state.state_num = temp_saved_states['state_num']
 
@@ -847,7 +887,9 @@
             temp_saved_states['compute_num'] = self.state.state_num
         self.state.saved_state= copy.deepcopy(temp_saved_states)
-        self.state.state_list[str(self.state.state_num)] = self.state.clone_state()#copy.deepcopy(self.state.saved_state)
-        
-        # A computation is a new state, so delete the states with any higher state numbers
+        #copy.deepcopy(self.state.saved_state)
+        self.state.state_list[str(self.state.state_num)] = self.state.clone_state()
+        
+        # A computation is a new state, so delete the states with any higher
+        # state numbers
         for i in range(self.state.state_num+1,len(self.state.state_list)):
             try:
@@ -860,10 +902,12 @@
         
         
-    def _reset_state_list(self,data=None):
-        """
-        Reset the state_list just before data was loading: Used in 'set_current_data()'
+    def _reset_state_list(self, data=None):
+        """
+        Reset the state_list just before data was loading:
+        Used in 'set_current_data()'
         """
         #if data == None: return
-        #temp_state = self.state.clone_state()#copy.deepcopy(self.state.saved_state)
+        #temp_state = self.state.clone_state()
+        #copy.deepcopy(self.state.saved_state)
         # Clear the list 
         self.state.state_list.clear()
@@ -882,5 +926,6 @@
 
         # Put only the current state in the list
-        self.state.state_list[str(self.state.state_num)] = self.state.clone_state()#copy.deepcopy(self.state.saved_state)
+        #copy.deepcopy(self.state.saved_state)
+        self.state.state_list[str(self.state.state_num)] = self.state.clone_state()
         self._undo_disable()
         
@@ -927,5 +972,6 @@
                     self.state.saved_state['state_num'] += 1
             self.state.state_num = self.state.saved_state['state_num']
-            self.state.state_list[str(self.state.state_num)] = self.state.clone_state()#copy.deepcopy(self.state.saved_state)
+            #copy.deepcopy(self.state.saved_state)
+            self.state.state_list[str(self.state.state_num)] = self.state.clone_state()
         except:
             pass
@@ -976,5 +1022,6 @@
         self.popUpMenu = wx.Menu()
         id = wx.NewId()
-        self._bmark = wx.MenuItem(self.popUpMenu,id,"BookMark"," Bookmark the panel to recall it later")
+        self._bmark = wx.MenuItem(self.popUpMenu,id,"BookMark",
+                                  " Bookmark the panel to recall it later")
         self.popUpMenu.AppendItem(self._bmark)
         self._bmark.Enable(True)
@@ -985,5 +1032,6 @@
     def _on_bookmark(self,event):
         """
-        Save the panel state in memory and add the list on the popup menu on bookmark context menu event
+        Save the panel state in memory and add the list on
+        the popup menu on bookmark context menu event
         """ 
         if self._data == None: return
@@ -1010,5 +1058,6 @@
         state = self.state.clone_state()
         comp_state = copy.deepcopy(self.state.state_list[str(compute_num)])
-        self.state.bookmark_list[self.bookmark_num] = [my_time,date,state,comp_state]
+        self.state.bookmark_list[self.bookmark_num] = [my_time, date,
+                                                       state,comp_state]
         self.state.toXML(self, doc=None, entry_node=None)
         
@@ -1017,5 +1066,6 @@
     def _back_to_bookmark(self,event):
         """
-        Bring the panel back to the state of bookmarked requested by context menu event
+        Bring the panel back to the state of bookmarked requested by
+        context menu event
         and set it as a new state
         """
@@ -1032,5 +1082,6 @@
         
         self.state.saved_state['state_num'] = state_num
-        self.state.state_list[str(state_num)] = self.state.clone_state()#copy.deepcopy(self.state.saved_state)
+        #copy.deepcopy(self.state.saved_state)
+        self.state.state_list[str(state_num)] = self.state.clone_state()
         self.state.state_num = state_num
         self._undo_enable()
@@ -1105,5 +1156,6 @@
         # Ask the user the location of the file to write to.
         path = None
-        dlg = wx.FileDialog(self, "Choose a file", self._default_save_location, "", "*.inv", wx.SAVE)
+        dlg = wx.FileDialog(self, "Choose a file",
+                            self._default_save_location, "", "*.inv", wx.SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
@@ -1124,7 +1176,9 @@
         count_bf = self.data_cbbox.GetCount()
         if count_bf > 1:
-            mssg += 'Loading a new data set will reset all the work done in this panel. \n\r'
-            mssg += 'Please make sure to save it first... \n\r'
-            answer = wx.MessageBox(mssg, msg, wx.CANCEL|wx.OK|wx.ICON_EXCLAMATION)
+            msg += "Loading a new data set will reset all the work"
+            msg += " done in this panel. \n\r"
+            mssg += "Please make sure to save it first... \n\r"
+            answer = wx.MessageBox(mssg, msg,
+                                   wx.CANCEL|wx.OK|wx.ICON_EXCLAMATION)
     
             if answer == wx.OK:
@@ -1159,5 +1213,6 @@
         Define main sizers needed for this panel
         """
-        ## Box sizers must be defined first before defining buttons/textctrls (MAC).
+        ## Box sizers must be defined first before 
+        #defining buttons/textctrls (MAC).
         self.main_sizer = wx.BoxSizer(wx.VERTICAL)
         #Sizer related to outputs
@@ -1193,5 +1248,6 @@
         #Sizer related to extrapolation at low q range
         high_q_box = wx.StaticBox(self, -1, "High Q")
-        self.high_extrapolation_sizer = wx.StaticBoxSizer(high_q_box, wx.VERTICAL)
+        self.high_extrapolation_sizer = wx.StaticBoxSizer(high_q_box,
+                                                          wx.VERTICAL)
         self.high_q_sizer = wx.GridBagSizer(5,5)
         #sizer to define outputs
@@ -1209,9 +1265,11 @@
         """
         #Sizer hint 
-        hint_msg = "First open data file from 'File' menu.  Then Highlight and right click on the data plot. \n"
+        hint_msg = "First open data file from 'File' menu."
+        hint_msg += "Then Highlight and right click on the data plot. \n"
         hint_msg += "Finally, select 'Compute Invariant'."
         self.hint_msg_txt = wx.StaticText(self, -1, hint_msg)  
         self.hint_msg_txt.SetForegroundColour("red")
-        msg = "Highlight = mouse the mouse's cursor on the data until the plot's color changes to yellow"
+        msg = "Highlight = mouse the mouse's cursor on the data until"
+        msg += " the plot's color changes to yellow"
         self.hint_msg_txt.SetToolTipString(msg)
         self.hint_msg_sizer.Add(self.hint_msg_txt)
@@ -1219,5 +1277,6 @@
         data_name_txt = wx.StaticText(self, -1, 'Data : ')  
        
-        self.data_name_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH*5, 20), style=0) 
+        self.data_name_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH*5, 20),
+                                            style=0) 
         self.data_name_tcl.SetToolTipString("Data's name.")
         self.data_name_sizer.AddMany([(data_name_txt, 0, wx.LEFT|wx.RIGHT, 10),
@@ -1226,8 +1285,10 @@
         data_range_txt = wx.StaticText(self, -1, 'Total Q Range (1/A): ') 
         data_min_txt = wx.StaticText(self, -1, 'Min : ')  
-        self.data_min_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0, name='data_min_tcl')
+        self.data_min_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, 20),
+                                           style=0, name='data_min_tcl')
         self.data_min_tcl.SetToolTipString("The minimum value of q range.")
         data_max_txt = wx.StaticText(self, -1, 'Max : ') 
-        self.data_max_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0, name='data_max_tcl') 
+        self.data_max_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, 20),
+                                           style=0, name='data_max_tcl') 
         self.data_max_tcl.SetToolTipString("The maximum value of q range.")
         self.data_range_sizer.AddMany([(data_range_txt, 0, wx.RIGHT, 10),
@@ -1245,5 +1306,6 @@
         """
         background_txt = wx.StaticText(self, -1, 'Background : ')  
-        self.background_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0, name='background_tcl') 
+        self.background_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH, 20),
+                                          style=0, name='background_tcl') 
         wx.EVT_TEXT(self, self.background_tcl.GetId(), self._on_text)
         background_hint_txt = "Background"
@@ -1251,5 +1313,6 @@
         background_unit_txt = wx.StaticText(self, -1, '[1/cm]')  
         scale_txt = wx.StaticText(self, -1, 'Scale : ')  
-        self.scale_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0, name='scale_tcl')
+        self.scale_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0,
+                                     name='scale_tcl')
         wx.EVT_TEXT(self, self.scale_tcl.GetId(), self._on_text)
         scale_hint_txt = "Scale"
@@ -1266,5 +1329,6 @@
         """
         contrast_txt = wx.StaticText(self, -1, 'Contrast : ')  
-        self.contrast_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0,name='contrast_tcl')
+        self.contrast_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH, 20),
+                                        style=0,name='contrast_tcl')
         wx.EVT_TEXT(self, self.contrast_tcl.GetId(), self._on_text)
         contrast_hint_txt = "Contrast"
@@ -1273,5 +1337,6 @@
         porod_const_txt = wx.StaticText(self, -1, 'Porod Constant:')  
         self.porod_constant_tcl = InvTextCtrl(self, -1, 
-                                              size=(_BOX_WIDTH, 20), style=0,name='porod_constant_tcl') 
+                                              size=(_BOX_WIDTH, 20), style=0,
+                                              name='porod_constant_tcl') 
         wx.EVT_TEXT(self, self.porod_constant_tcl.GetId(), self._on_text)
         porod_const_hint_txt = "Porod Constant"
@@ -1355,24 +1420,32 @@
         Draw widgets related to extrapolation at low q range
         """
-        self.enable_low_cbox = wx.CheckBox(self, -1, "Enable Extrapolate Low Q",name='enable_low_cbox')
+        self.enable_low_cbox = wx.CheckBox(self, -1,
+                                           "Enable Extrapolate Low Q",
+                                           name='enable_low_cbox')
         wx.EVT_CHECKBOX(self, self.enable_low_cbox.GetId(),
                                          self._enable_low_q_section)
         self.fix_enable_low = wx.RadioButton(self, -1, 'Fix',
-                                         (10, 10),style=wx.RB_GROUP,name='fix_enable_low')
+                                         (10, 10), style=wx.RB_GROUP,
+                                         name='fix_enable_low')
         self.Bind(wx.EVT_RADIOBUTTON, self._enable_fit_power_law_low,
                                      id=self.fix_enable_low.GetId())
-        self.fit_enable_low = wx.RadioButton(self, -1, 'Fit', (10, 10),name='fit_enable_low')
+        self.fit_enable_low = wx.RadioButton(self, -1, 'Fit', (10, 10),
+                                             name='fit_enable_low')
         self.Bind(wx.EVT_RADIOBUTTON, self._enable_fit_power_law_low, 
                                         id=self.fit_enable_low.GetId())
         self.guinier = wx.RadioButton(self, -1, 'Guinier',
-                                         (10, 10),style=wx.RB_GROUP, name='guinier')
+                                         (10, 10), style=wx.RB_GROUP,
+                                         name='guinier')
         self.Bind(wx.EVT_RADIOBUTTON, self._enable_power_law_low,
                                      id=self.guinier.GetId())        
-        self.power_law_low = wx.RadioButton(self, -1, 'Power Law', (10, 10),name='power_law_low')
+        self.power_law_low = wx.RadioButton(self, -1, 'Power Law',
+                                            (10, 10), name='power_law_low')
         self.Bind(wx.EVT_RADIOBUTTON, self._enable_power_law_low, 
                                         id=self.power_law_low.GetId())
         
         npts_low_txt = wx.StaticText(self, -1, 'Npts')
-        self.npts_low_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH*2/3, -1),name='npts_low_tcl')
+        self.npts_low_tcl = InvTextCtrl(self, -1,
+                                        size=(_BOX_WIDTH*2/3, -1),
+                                        name='npts_low_tcl')
         wx.EVT_TEXT(self, self.npts_low_tcl.GetId(), self._on_text)
         msg_hint = "Number of Q points to consider"
@@ -1380,5 +1453,6 @@
         self.npts_low_tcl.SetToolTipString(msg_hint)
         power_txt = wx.StaticText(self, -1, 'Power')
-        self.power_low_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH*2/3, -1),name='power_low_tcl')
+        self.power_low_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH*2/3, -1),
+                                         name='power_low_tcl')
         wx.EVT_TEXT(self, self.power_low_tcl.GetId(), self._on_text)
        
@@ -1387,9 +1461,9 @@
         iy = 0
         ix = 0
-        self.low_q_sizer.Add(self.enable_low_cbox,(iy, ix),(1,5),
+        self.low_q_sizer.Add(self.enable_low_cbox,(iy, ix), (1, 5),
                             wx.TOP|wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         iy += 1
         ix = 0
-        self.low_q_sizer.Add(npts_low_txt,(iy, ix),(1,1),
+        self.low_q_sizer.Add(npts_low_txt,(iy, ix), (1, 1),
                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
